Bug 595620 - blktrace -- undocumented options
blktrace -- undocumented options
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: blktrace (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Edward Shishkin
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 04:17 EDT by Milos Malik
Modified: 2015-01-04 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:10:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2010-05-25 04:17:27 EDT
Description of problem:
Usage message OMITS 16 supported option(s):
        --act-mask
        --buffer-size
        --dev
        --host
        --input-devs
        --kill
        --listen
        --no-sendfile
        --num-sub-buffers
        --output
        --output-dir
        --port
        --relay
        --set-mask
        --stopwatch
        --version
Man page OMITS 11 supported option(s):
        --host
        --listen
        --no-sendfile
        --num-sub-buffers
        --output-dir
        --port
        -D
        -h
        -l
        -p
        -s
Man page talks about '--num-sub' option but the complete name of the option is '--num-sub-buffers'. Fortunately getopt_long() can handle the difference.

Version-Release number of selected component (if applicable):
blktrace-1.0.1-3.1.el6.i686

How reproducible:
always

Steps to Reproduce:
1) check the program with Options Comparator 
http://wiki.test.redhat.com/BaseOs/Projects/OptionsComparator

Actual results:


Expected results:


Additional info:
# ./compare-options.sh /usr/bin/blktrace 
Program path:
	/usr/bin/blktrace
Guessing man page path:
	/usr/share/man/man8/blktrace.8.gz
According to binary analysis the binary supports 33 option(s):
	--act-mask
	--buffer-size
	--dev
	--host
	--input-devs
	--kill
	--listen
	--no-sendfile
	--num-sub-buffers
	--output
	--output-dir
	--port
	--relay
	--set-mask
	--stopwatch
	--version
	-A
	-D
	-I
	-V
	-a
	-b
	-d
	-h
	-k
	-l
	-n
	-o
	-p
	-r
	-s
	-v
	-w
Usage message contains 0 UNSUPPORTED option(s):
Usage message OMITS 16 supported option(s):
	--act-mask
	--buffer-size
	--dev
	--host
	--input-devs
	--kill
	--listen
	--no-sendfile
	--num-sub-buffers
	--output
	--output-dir
	--port
	--relay
	--set-mask
	--stopwatch
	--version
Man page contains 1 UNSUPPORTED option(s):
	--num-sub
Man page OMITS 11 supported option(s):
	--host
	--listen
	--no-sendfile
	--num-sub-buffers
	--output-dir
	--port
	-D
	-h
	-l
	-p
	-s
Comment 1 RHEL Product and Program Management 2010-05-25 04:36:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 RHEL Product and Program Management 2010-07-15 10:49:58 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Edward Shishkin 2010-07-30 10:25:29 EDT
The fixup has been sent to the upstream:

http://marc.info/?l=linux-btrace&m=128049873015527&w=2
Comment 6 Eric Sandeen 2010-10-29 17:35:58 EDT
Sending blktrace bugs over to Edward, as he did the upstream work for them.
Comment 10 errata-xmlrpc 2011-05-19 10:10:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0718.html

Note You need to log in before you can comment on or make changes to this bug.